Skip to main content
GET
/
users
/
{user_id}
/
email_aliases
cURL
curl -i -X GET "https://api.box.com/2.0/users/12345/email_aliases" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "total_count": 5000,
  "entries": [
    {
      "id": "11446498",
      "type": "email_alias",
      "email": "alias@example.com",
      "is_confirmed": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is in the version 2024.0. No changes are required to continue using it. For more details, see Box API versioning.Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

user_id
string
required

The ID of the user.

Response

Returns a collection of email aliases.

A list of email aliases.

total_count
integer<int64>

The number of email aliases.

Example:

5000

entries
Email alias · object[]

A list of email aliases.